
Redmine - Defect #3171

Subject of notification emails has wrong status 

2009-04-14 20:06 - Nikola Stojiljkovic

Status: Closed Start date: 2009-04-14

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

We have upgraded to the latest SVN trunk revision (r2670).

After changing the status of an issue, the email notification is as usual sent to all designated recipients. However, unlike before, when

the new status was written in brackets, now the old one is displayed. So, the email has inconsistent subject and body. AFAIK, no

exception or error is thrown anywhere.

Versions:

ruby (enterprise) 1.8.6

rails 2.2.2

svn 1.4.2

mysql 5.1.30

Plugins installed:

question_plugin

stuff_to_do_plugin

timesheet_plugin

google_calendar

google_analytics_plugin

History

#1 - 2009-04-15 20:39 - Nikola Stojiljkovic

- Assignee set to Eric Davis

One more information: reverting to r2636 fixed the issue. It might be that the refactoring in r2637 caused this issue.

#2 - 2009-04-19 10:51 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Indeed. This is fixed in r2673
https://www.redmine.org/projects/redmine/repository/svn/revisions/2670
https://www.redmine.org/projects/redmine/repository/svn/revisions/2636
https://www.redmine.org/projects/redmine/repository/svn/revisions/2637
https://www.redmine.org/projects/redmine/repository/svn/revisions/2673
